Lavalite package that provides buy_ostrich_boot management facility for the cms.

## Installation

Run the below command form the root folder of lavalite.

```
    composer require "lauraandrewsk@gmail.com/buy_ostrich_boot"
```


## Migration and seeds

```
    php artisan migrate
    php artisan db:seed --class=Lauraandrewsk@gmail.com\\BuyOstrichBoot\\Seeders\\BuyOstrichBootTableSeeder
```

## Publishing

* Configuration
```
    php artisan vendor:publish --provider="Lauraandrewsk@gmail.com\BuyOstrichBoot\Providers\BuyOstrichBootServiceProvider" --tag="config"
```
* Language
```
    php artisan vendor:publish --provider="Lauraandrewsk@gmail.com\BuyOstrichBoot\Providers\BuyOstrichBootServiceProvider" --tag="lang"
```
* Views
```
    php artisan vendor:publish --provider="Lauraandrewsk@gmail.com\BuyOstrichBoot\Providers\BuyOstrichBootServiceProvider" --tag="view"
```


## URLs and APIs


### Web Urls

* Admin
```
    http://path-to-route-folder/admin/buy_ostrich_boot/{modulename}
```

* User
```
    http://path-to-route-folder/user/buy_ostrich_boot/{modulename}
```

* Public
```
    http://path-to-route-folder/buy_ostrich_boots
```


### API endpoints

These endpoints can be used with or without `/api/`
And also the user can be varied depend on the type of users, eg user, client, admin etc.

#### Resource

* List
```
    http://path-to-route-folder/api/user/buy_ostrich_boot/{modulename}
    METHOD: GET
```

* Create
```
    http://path-to-route-folder/api/user/buy_ostrich_boot/{modulename}
    METHOD: POST
```

* Edit
```
    http://path-to-route-folder/api/user/buy_ostrich_boot/{modulename}/{id}
    METHOD: PUT
```

* Delete
```
    http://path-to-route-folder/api/user/buy_ostrich_boot/{modulename}/{id}
    METHOD: DELETE
```

#### Public

* List
```
    http://path-to-route-folder/api/buy_ostrich_boot/{modulename}
    METHOD: GET
```

* Single Item
```
    http://path-to-route-folder/api/buy_ostrich_boot/{modulename}/{slug}
    METHOD: GET
```

#### Others

* Report
```
    http://path-to-route-folder/api/user/buy_ostrich_boot/{modulename}/report/{report}
    METHOD: GET
```

* Export/Import
```
    http://path-to-route-folder/api/user/buy_ostrich_boot/{modulename}/exim/{exim}
    METHOD: POST
```

* Action
```
    http://path-to-route-folder/api/user/buy_ostrich_boot/{modulename}/action/{id}/{action}
    METHOD: PATCH
```

* Actions
```
    http://path-to-route-folder/api/user/buy_ostrich_boot/{modulename}/actions/{action}
    METHOD: PATCH
```

* Workflow
```
    http://path-to-route-folder/api/user/buy_ostrich_boot/{modulename}/workflow/{id}/{transition}
    METHOD: PATCH
```
